National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2010-0406 Detail

Description

OpenTTD before 1.0.1 allows remote attackers to cause a denial of service (file-descriptor exhaustion and daemon crash) by performing incomplete downloads of the map.

Source:  MITRE
Description Last Modified:  05/05/2010

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 4.0 MEDIUM
Vector: (AV:N/AC:L/Au:S/C:N/I:N/A:P) (V2 legend)
Impact Subscore: 2.9
Exploitability Subscore: 8.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): Single
Confidentiality (C): None
Integrity (I): None
Availability (A): Partial
Additional Information:
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://bugs.openttd.org/task/3785 Vendor Advisory
http://security.openttd.org/en/CVE-2010-0406 Vendor Advisory

Technical Details

Vulnerability Type (View All)

  • Resource Management Errors (CWE-399)

Vulnerable software and versions Switch to CPE 2.3

Configuration 1
OR
cpe:/a:openttd:openttd:0.1.1
cpe:/a:openttd:openttd:0.1.2
cpe:/a:openttd:openttd:0.1.3
cpe:/a:openttd:openttd:0.1.4
cpe:/a:openttd:openttd:0.2.0
cpe:/a:openttd:openttd:0.2.1
cpe:/a:openttd:openttd:0.3.0
cpe:/a:openttd:openttd:0.3.1
cpe:/a:openttd:openttd:0.3.2
cpe:/a:openttd:openttd:0.3.2.1
cpe:/a:openttd:openttd:0.3.3
cpe:/a:openttd:openttd:0.3.4
cpe:/a:openttd:openttd:0.3.5
cpe:/a:openttd:openttd:0.3.6
cpe:/a:openttd:openttd:0.3.7
cpe:/a:openttd:openttd:0.4.0
cpe:/a:openttd:openttd:0.4.0.1
cpe:/a:openttd:openttd:0.4.5
cpe:/a:openttd:openttd:0.4.6
cpe:/a:openttd:openttd:0.4.7
cpe:/a:openttd:openttd:0.4.8
cpe:/a:openttd:openttd:0.4.8:rc1
cpe:/a:openttd:openttd:0.5.0
cpe:/a:openttd:openttd:0.5.0:rc1
cpe:/a:openttd:openttd:0.5.0:rc2
cpe:/a:openttd:openttd:0.5.0:rc3
cpe:/a:openttd:openttd:0.5.0:rc4
cpe:/a:openttd:openttd:0.5.0:rc5
cpe:/a:openttd:openttd:0.5.1
cpe:/a:openttd:openttd:0.5.1:rc1
cpe:/a:openttd:openttd:0.5.1:rc2
cpe:/a:openttd:openttd:0.5.1:rc3
cpe:/a:openttd:openttd:0.5.2
cpe:/a:openttd:openttd:0.5.2:rc1
cpe:/a:openttd:openttd:0.5.3
cpe:/a:openttd:openttd:0.5.3:rc1
cpe:/a:openttd:openttd:0.5.3:rc2
cpe:/a:openttd:openttd:0.5.3:rc3
cpe:/a:openttd:openttd:0.6.0
cpe:/a:openttd:openttd:0.6.0:beta1
cpe:/a:openttd:openttd:0.6.0:beta2
cpe:/a:openttd:openttd:0.6.0:beta3
cpe:/a:openttd:openttd:0.6.0:beta4
cpe:/a:openttd:openttd:0.6.0:beta5
cpe:/a:openttd:openttd:0.6.0:rc1
cpe:/a:openttd:openttd:0.6.1
cpe:/a:openttd:openttd:0.6.1:rc1
cpe:/a:openttd:openttd:0.6.1:rc2
cpe:/a:openttd:openttd:0.6.2:rc1
cpe:/a:openttd:openttd:0.6.2:rc2
cpe:/a:openttd:openttd:0.7.4
cpe:/a:openttd:openttd    versions up to (including) 1.0.0

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

1 change record found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2010-0406
NVD Published Date:
05/05/2010
NVD Last Modified:
05/11/2010